
import java.awt.*;
import java.awt.event.*;


public abstract class SkeletonFrame extends Frame
                                    implements WindowListener, ActionListener {
    protected int      width = 300, height = 300;
    protected boolean  standAlone = false;


    protected SkeletonFrame() { }


    public void goout() {
        Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
        setLocation( new Point( d.width  / 2 - width  / 2,
                                d.height / 2 - height / 2 ) );
        setVisible( true );
    }


    public void quit(){
        setVisible( false );
        if ( standAlone ) { dispose(); System.exit( 1 ); }
    }


    public void actionPerformed( ActionEvent e ) { }


    public void windowOpened     ( WindowEvent e ) { }
    public void windowClosing    ( WindowEvent e ) { quit(); }
    public void windowClosed     ( WindowEvent e ) { }
    public void windowIconified  ( WindowEvent e ) { }
    public void windowDeiconified( WindowEvent e ) { }
    public void windowActivated  ( WindowEvent e ) { }
    public void windowDeactivated( WindowEvent e ) { }


}
